<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ym.mec.education.mapper.StudentCourseHomeworkMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.ym.mec.education.entity.StudentCourseHomework">
        <id column="id_" property="id" />
        <result column="course_homework_id_" property="courseHomeworkId" />
        <result column="course_schedule_id_" property="courseScheduleId" />
        <result column="attachments_" property="attachments" />
        <result column="score_" property="score" />
        <result column="create_time_" property="createTime" />
        <result column="update_time_" property="updateTime" />
        <result column="user_id_" property="userId" />
        <result column="remark_" property="remark" />
        <result column="status_" property="status" />
        <result column="is_replied_" property="isReplied" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id_, course_homework_id_,course_schedule_id_, attachments_, score_, create_time_, update_time_, user_id_, remark_, status_, is_replied_
    </sql>

</mapper>
